function start

%/------------------------------------------\
%| ELE 585                                  |
%| Final Project                            | 
%|                                          |
%| Watermarking an Image using blue channel |
%| amplitude modulation                     |
%\------------------------------------------/
%
% University of Rhode Island
% Dept. of Electrical Engineering
% Roger Meier, May '99
%
%
% -------> to start type 'start'
%

switch computer
case 'PCWIN',
   path(path,[cd '\gui'])
   path(path,[cd '\wmtoolbox'])
case 'MAC2',
   path(path,[cd 'gui'])
   path(path,[cd 'wmtoolbox'])
case 'MAC',
   path(path,[cd 'gui'])
   path(path,[cd 'wmtoolbox'])
case 'SOL2',
   path(path,[cd '/gui'])
   path(path,[cd '/wmtoolbox'])
case 'SUN4',
   path(path,[cd '/gui'])
   path(path,[cd '/wmtoolbox'])
end

disp('/------------------------------------------\')
disp('| ELE 585                                  |')
disp('| Final Project                            |')
disp('|                                          |')
disp('| Watermarking an Image using blue channel |')
disp('| amplitude modulation                     |')
disp('\------------------------------------------/')
disp(' ')
disp(' University of Rhode Island')
disp(' Dept. of Electrical Engineering')
disp(' Roger Meier, May 1999')
disp(' ')
disp(' ')
disp(' -------> Use buttons for a graphical user')
disp('          interface, or press HELP WMTOOLBOX')
disp('          for help on the watermarking toolbox')


screensize=get(0,'ScreenSize');

screen=[(screensize(3)-400)/2 (screensize(4)-187)/2 400 187];
figNumber=figure( ...
        'Name','Main Menu', ...
        'NumberTitle','off', ...
        'MenuBar','none',...
        'IntegerHandle','off', ...
        'PaperOrientation','Landscape',...
        'Position',screen,...
        'Resize','off');
     
% Creating title bar
% ------------------
h1  = uicontrol('Style', 'Frame', ...
				'Position',[1 157 399 30],...	
                'BackgroundColor',[0.50 0.50 0.50], ...
				'ForegroundColor',[0 0 0]);
h2  = uicontrol('Style','Text',...
                'String','Main Menu',...
				'HorizontalAlignment','center',...
			    'Position',[1 158 398 28],...
               'BackgroundColor',[0.50 0.50 0.50], ...
				'ForegroundColor',[0.9 0.9 0.9],...
			    'FontSize',[14],...
			    'FontWeight','bold');
          
          
% Creating bottom bar
% -------------------
h3  = uicontrol('Style', 'Frame', ...
				'Position',[154 0 246 87],...	
                'BackgroundColor',[0.50 0.50 0.50], ...
				'ForegroundColor',[0 0 0]);
h4 = axes('Units','Pixels',...
          'Position',[0 0 152 87]);
logo=imread('logo.bmp');
logo=imresize(logo,0.5);
logo=double(logo)*0.4+0.5;
logo=[zeros(1,152);zeros(85,1) logo zeros(85,1);zeros(1,152)];
imshow(logo)

% Creating Pushbuttons
% --------------------
h5  = uicontrol('Style','PushButton',...
                'String','Embed Watermark',...
             'Max',20,...   
             'Position',[15 97 120 50],...
				'Callback','watermarkgui');
         
h6  = uicontrol('Style','PushButton',...
                'String','Attack Image',...
             'Max',20,...   
             'Position',[140 97 120 50],...
				'Callback','attackgui');
         
h7  = uicontrol('Style','PushButton',...
                'String','Retrieve Watermark',...
             'Max',20,...   
             'Position',[265 97 120 50],...
				'Callback','retrievegui');
         
% Creating Credits
% ----------------
credits=strvcat('University of Rhode Island',...
                'ELE 585 - Digital Image Processing',...
                'Final Project:     Watermarking using blue',...
                '                         channel amplitude modulation',...
                '   ',...
                'Roger Meier,    May 1999');
h8  = uicontrol('Style','Text',...
                'String',credits,...
				'HorizontalAlignment','left',...
			    'Position',[165 2 230 83],...
               'BackgroundColor',[0.50 0.50 0.50], ...
				'ForegroundColor',[0.9 0.9 0.9]);
          
          
